/**
  @file
  @brief Testing mpe_refreshtables macro

  <h4> SAS Macros </h4>
  @li mpe_makedatamodel.sas
  @li mp_assert.sas
  @li mp_assertscope.sas

  @author 4GL Apps Ltd
  @copyright 4GL Apps Ltd.  This code may only be used within Data Controller
    and may not be re-distributed or re-sold without the express permission of
    4GL Apps Ltd.

**/

%mp_assertscope(SNAPSHOT)
%mpe_makedatamodel(lib=WORK)
%mp_assertscope(COMPARE,
  desc=Checking macro variables against previous snapshot
)

%mp_assert(
  iftrue=(&syscc = 0),
  desc=Checking error condition
)