/**
  @file buildinitviya.sas
  @brief initialisation for viya build program

  <h4> SAS Macros </h4>
  @li mfv_getfolderpath.sas
  @li mfv_getpathuri.sas
  @li mv_createfolder.sas

**/

options nonotes nomprint;

/* update apploc to default to user home area if not set */
%let apploc=%sysfunc(ifc("&apploc"="/Public/app/dcplaceholder"
  ,/Users/&sysuserid/My Folder/Data Controller
  ,&apploc));

/* ensure the correct casing of appLoc */
%mv_createfolder(path=&apploc)
%let apploc=%mfv_getfolderpath(%mfv_getpathuri(&apploc));