import { BaseSASResponse } from './common/BaseSASResponse'

export interface PublicGetChangeinfo extends BaseSASResponse {
  jsparams: Jsparam[]
}

export interface Jsparam {
  TABLE_ID: string
  SUBMIT_STATUS_CD: string
  BASE_LIB: string
  BASE_DS: string
  SUBMITTED_BY_NM: string
  SUBMITTED_ON: number
  SUBMITTED_REASON_TXT: string
  INPUT_OBS: number
  INPUT_VARS: number
  NUM_OF_APPROVALS_REQUIRED: number
  NUM_OF_APPROVALS_REMAINING: number
  REVIEWED_BY_NM: string
  REVIEWED_ON?: any
  TABLE_NM: string
  BASE_TABLE: string
  REVIEWED_ON_DTTM: string
  SUBMITTED_ON_DTTM: string
  LIB_ENGINE: string
  ALLOW_RESTORE: string
  REASON: string
}
